API ReferenceapiplatformPOST /v1/admin/canary

POST /v1/admin/canary

Service: platform · operationId: (none)

Publish a canary event for EventBridge round-trip verification

Required scopes

(no scope declared — review service config)

Responses

201 Canary event published

{
  "type": "object",
  "properties": {
    "smoke_id": {
      "type": "string",
      "format": "uuid"
    },
    "status": {
      "type": "string",
      "enum": [
        "published"
      ]
    },
    "ts": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "smoke_id",
    "status",
    "ts"
  ]
}

403 Forbidden — missing platform:admin scope

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Publish failed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://platform.platform.loop.health/v1/admin/canary \
  -H "Authorization: Bearer $ACCESS_TOKEN"